> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/chatbot/conversational-bot/question-and-answer.md).

# Question And Answer

### Attributes&#x20;

| ATTRIBUTE        | TYPE              | DESCRIPTION                                                 |
| ---------------- | ----------------- | ----------------------------------------------------------- |
| id               | Integer           | Specify the ID of the QnA.                                  |
| type             | String            | Specify if QnA is published or not.                         |
| subtype          | String            | Specify the source of the QnA.                              |
| language         | String            | Specify the language of the QnA.                            |
| answerType       | String            | Specify the among random, formatted or article.             |
| actionEnabled    | String            | Specify if post actions should be triggered or not.         |
| wantFeedback     | String            | Specify to show upvote/downvote thumbs on the visitor side. |
| allowRelatedQue  | String            | Specify if you want to show related questions.              |
| relatedQueIds    | String            | Specify related questions with comma-separated.             |
| createdBy        | Integer           | Specify the owner or created user.                          |
| updatedBy        | Integer           | Specify the updated by user id.                             |
| dateCreated      | datetime          | Specify the creation of the QnA date stamp.                 |
| dateUpdated      | datetime          | Specify the update of the QnA date stamp.                   |
| qnaMainQuestions | JSON Array Object | Specify the Questions collection                            |
| qnaMainAnswers   | JSON Array Object | Specify the Answers collection.                             |

### Permissions

To request a QnA endpoint, you will need a valid API Key with conversational chatbot QnA access permissions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/chatbot/conversational-bot/question-and-answer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
